/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "benchmark", "index.html", [
    [ "Assembly Tests", "md_docs_2AssemblyTests.html", [
      [ "Anatomy of a Test", "md_docs_2AssemblyTests.html#autotoc_md1", null ],
      [ "Problems Writing Portable Tests", "md_docs_2AssemblyTests.html#autotoc_md4", null ],
      [ "Current Requirements and Limitations", "md_docs_2AssemblyTests.html#autotoc_md7", null ]
    ] ],
    [ "Build tool dependency policy", "md_docs_2dependencies.html", [
      [ "CMake", "md_docs_2dependencies.html#autotoc_md9", null ],
      [ "Python", "md_docs_2dependencies.html#autotoc_md10", null ]
    ] ],
    [ "Benchmark", "md_docs_2index.html", null ],
    [ "perf_counters", "md_docs_2perf__counters.html", [
      [ "User-Requested Performance Counters", "md_docs_2perf__counters.html#autotoc_md12", null ]
    ] ],
    [ "Platform Specific Build Instructions", "md_docs_2platform__specific__build__instructions.html", [
      [ "Building with GCC", "md_docs_2platform__specific__build__instructions.html#autotoc_md14", null ],
      [ "Building with Visual Studio 2015 or 2017", "md_docs_2platform__specific__build__instructions.html#autotoc_md15", null ],
      [ "Building with Intel 2015 Update 1 or Intel System Studio Update 4", "md_docs_2platform__specific__build__instructions.html#autotoc_md16", null ],
      [ "Building on Solaris", "md_docs_2platform__specific__build__instructions.html#autotoc_md17", null ]
    ] ],
    [ "Building and installing Python bindings", "md_docs_2python__bindings.html", null ],
    [ "random_interleaving", "md_docs_2random__interleaving.html", [
      [ "Random Interleaving", "md_docs_2random__interleaving.html#autotoc_md19", null ]
    ] ],
    [ "Reducing Variance", "md_docs_2reducing__variance.html", [
      [ "Disabling CPU Frequency Scaling", "md_docs_2reducing__variance.html#autotoc_md21", null ],
      [ "Reducing Variance in Benchmarks", "md_docs_2reducing__variance.html#autotoc_md22", null ]
    ] ],
    [ "How to release", "md_docs_2releasing.html", null ],
    [ "Benchmark Tools", "md_docs_2tools.html", [
      [ "compare.py", "md_docs_2tools.html#autotoc_md25", [
        [ "Dependencies", "md_docs_2tools.html#autotoc_md26", null ],
        [ "Displaying aggregates only", "md_docs_2tools.html#autotoc_md27", null ],
        [ "Modes of operation", "md_docs_2tools.html#autotoc_md28", null ],
        [ "Note: Interpreting the output", "md_docs_2tools.html#autotoc_md29", null ],
        [ "U test", "md_docs_2tools.html#autotoc_md32", null ]
      ] ]
    ] ],
    [ "User Guide", "md_docs_2user__guide.html", [
      [ "Command Line", "md_docs_2user__guide.html#autotoc_md34", null ],
      [ "Library", "md_docs_2user__guide.html#autotoc_md35", null ],
      [ "Benchmarking Tips", "md_docs_2user__guide.html#autotoc_md36", null ],
      [ "Output Formats", "md_docs_2user__guide.html#autotoc_md37", null ],
      [ "Output Files", "md_docs_2user__guide.html#autotoc_md38", null ],
      [ "Running Benchmarks", "md_docs_2user__guide.html#autotoc_md39", [
        [ "Dry runs", "md_docs_2user__guide.html#autotoc_md40", null ]
      ] ],
      [ "Running a Subset of Benchmarks", "md_docs_2user__guide.html#autotoc_md41", null ],
      [ "Disabling Benchmarks", "md_docs_2user__guide.html#autotoc_md42", null ],
      [ "Result comparison", "md_docs_2user__guide.html#autotoc_md43", null ],
      [ "Extra Context", "md_docs_2user__guide.html#autotoc_md44", null ],
      [ "Runtime and Reporting Considerations", "md_docs_2user__guide.html#autotoc_md45", null ],
      [ "Setup/Teardown", "md_docs_2user__guide.html#autotoc_md46", null ],
      [ "Passing Arguments", "md_docs_2user__guide.html#autotoc_md47", [
        [ "Passing Arbitrary Arguments to a Benchmark", "md_docs_2user__guide.html#autotoc_md48", null ]
      ] ],
      [ "Calculating Asymptotic Complexity (Big O)", "md_docs_2user__guide.html#autotoc_md49", null ],
      [ "Custom Benchmark Name", "md_docs_2user__guide.html#autotoc_md50", null ],
      [ "Templated Benchmarks", "md_docs_2user__guide.html#autotoc_md51", null ],
      [ "Templated Benchmarks that take arguments", "md_docs_2user__guide.html#autotoc_md52", null ],
      [ "Fixtures", "md_docs_2user__guide.html#autotoc_md53", [
        [ "Templated Fixtures", "md_docs_2user__guide.html#autotoc_md54", null ]
      ] ],
      [ "Custom Counters", "md_docs_2user__guide.html#autotoc_md55", [
        [ "Counter Reporting", "md_docs_2user__guide.html#autotoc_md56", null ]
      ] ],
      [ "Multithreaded Benchmarks", "md_docs_2user__guide.html#autotoc_md57", null ],
      [ "CPU Timers", "md_docs_2user__guide.html#autotoc_md58", [
        [ "Controlling Timers", "md_docs_2user__guide.html#autotoc_md59", null ]
      ] ],
      [ "Manual Timing", "md_docs_2user__guide.html#autotoc_md60", null ],
      [ "Setting the Time Unit", "md_docs_2user__guide.html#autotoc_md61", null ],
      [ "Preventing Optimization", "md_docs_2user__guide.html#autotoc_md62", null ],
      [ "Statistics: Reporting the Mean, Median and Standard Deviation / Coefficient of variation of Repeated ...", "md_docs_2user__guide.html#autotoc_md63", null ],
      [ "Custom Statistics", "md_docs_2user__guide.html#autotoc_md64", null ],
      [ "Memory Usage", "md_docs_2user__guide.html#autotoc_md65", null ],
      [ "Profiling", "md_docs_2user__guide.html#autotoc_md66", null ],
      [ "Using RegisterBenchmark(name, fn, args...)", "md_docs_2user__guide.html#autotoc_md67", null ],
      [ "Exiting with an Error", "md_docs_2user__guide.html#autotoc_md68", null ],
      [ "A Faster KeepRunning Loop", "md_docs_2user__guide.html#autotoc_md69", null ],
      [ "Disabling CPU Frequency Scaling", "md_docs_2user__guide.html#autotoc_md70", null ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';